package sqlindexwizard.application;

import sqlindexwizard.clustering.*;

/**
 * This class provides variables for input.
 * 
 * @author Benjamin Daeumlich
 *
 */
public class Input {

	/*
	 * Workload.
	 */
	/**
	 * queries where-clause to CNF?
	 */
	public static final boolean toCNF = true;
	/**
	 * queries where-clause to DNF?
	 */
	public static final boolean toDNF = false;
	/**
	 * simplify queries where-clause? (not implemented)
	 */
	public static final boolean simplify = false;
	
	/*
	 * Clustering.
	 */
	/**
	 * bound value for clustering algorithm
	 */
	public static final double boundValue = 0.95;
	/**
	 *  k-Value for kmeans
	 */
	public static final int kValue = 1573;
	/**
	 * use leader algo
	 */
	public static final boolean leader = true;
	/**
	 * use kmeans algo
	 */
	public static final boolean kmeans = false;
	
	/*
	 * Query Vector.
	 */
	/**
	 * counting same items numerous
	 */
	public static final boolean countSameItemsNumerous = true;
	/**
	 * class for sim-calculation
	 */
	public static final Class<?> QUERYVECTOR_CLASS = QueryVectorSim1.class;	
	
	/*
	 * Index Advisor.
	 */
	/**
	 * use greedy algo
	 */
	public static final boolean greedy = true;
	/**
	 * use dynamic programming algo
	 */
	public static final boolean dynProg = false;
	/**
	 * use dynamic programming scaled algo
	 */
	public static final boolean dynProgEpsilon = false;
	/**
	 * epsilon-value for dynamic programming scaled algo
	 */
	public static final double epsilon = 0.05;

}
