package sqlindexwizard.clustering;

import java.util.ArrayList;
import java.util.Iterator;

import org.apache.log4j.Logger;

/**
 * Represents a List of Partitions.
 * 
 * @author Benjamin Daeumlich
 *
 */
public class ListOfPartitions extends ArrayList<Partition> {

	private static final long serialVersionUID = 790338630256081058L;
	
	private static Logger logger = Logger.getLogger(ListOfPartitions.class);

	/**
	 * Constructor, generates the partitions from qvList.
	 * 
	 * @param qvList QueryVectors
	 */
	public ListOfPartitions (ListOfQueryVectors qvList) {
		logger.info("Starting Partitioning with " + qvList.size() + " QueryVectors.");
		for (int i = 0; i < qvList.size(); i++) {
			Partition temp2 = new Partition(qvList.get(i));
			if (this.contains(temp2)) {
				this.get(this.indexOf(temp2)).add(qvList.get(i));
			} else {
				this.add(temp2);
			}
		}
		logger.info("Finished Partitioning with " + this.size() + " Partitions.");
	}
	
	/**
	 * String representation of a partitionlist.
	 * 
	 * @return string representation
	 */
	public String toString() {
		StringBuffer result = new StringBuffer();
		result.append("Partitions: [");
		Iterator<Partition> temp = this.iterator();
		while(temp.hasNext()) {
			result.append(temp.next().toString() + ", ");
		}
		String resultReturn = result.substring(0,result.length()-2);
		resultReturn += "]";
		return resultReturn;
	}
}
