package sqlindexwizard.filter;

/**
 * An Empty WhereElement.
 * 
 * @author Benjamin Daeumlich
 *
 */
public class EmptyWhereElement extends WhereElement {

	/**
	 * Generates CNF of this element, nothing to do.
	 * 
	 * @return this.clone();
	 */
	@Override
	public WhereElement toCNF() {
		return this.clone();
	}

	/**
	 * Generates DNF of this element, nothing to do.
	 * 
	 * @return this.clone();
	 */
	@Override
	public WhereElement toDNF() {
		return this.clone();
	}
	
	/**
	 * Simplifies this element, nothing to do.
	 * 
	 * @return this.clone();
	 */
	@Override
	public WhereElement simplify() {
		return this.clone();
	}
	
	/**
	 * Removes parentheses this level, nothing to do.
	 * 
	 * @return this.clone();
	 */
	@Override
	public WhereElement removeParThisLevel() {
		return this.clone();
	}
	
	/**
	 * String Representation of this Element is an empty string.
	 * 
	 * @return empty string
	 */
	public String toString() {
		return "";
	}

}
