package sqlindexwizard.filter;

import java.util.ArrayList;

/**
 * A list of where Element.
 * 
 * @author Benjamin Daeumlich
 *
 */
public class ListOfWhereElements extends ArrayList<WhereElement>{
	
	private static final long serialVersionUID = 1L;
	
	/**
	 * Constructor calls default constructor.
	 * 
	 */
	public ListOfWhereElements() {
		super();
	}
	
	/**
	 * Tests for equality of two Objects.
	 * 
	 * @return true if they are equal
	 */
	public boolean equals(Object o) {
		if (o instanceof ListOfWhereElements) {
			return equals((ListOfWhereElements) o);
		} else {
			return false;
		}
	}

	/**
	 * Tests for equality of two Objects. List have to contain all elements of
	 * the other list. Order does not matter.
	 * 
	 * @return true if they are equal
	 */
	public boolean equals(ListOfWhereElements it) {
		if (this == it) return true;
		if (it == null) return false;
		if (this.size() != it.size()) {
			return false;
		}
		for (WhereElement whereElem : this) {
			if (!it.contains(whereElem)) {
				return false;
			}
		}
		for (WhereElement whereElem : it) {
			if (!this.contains(whereElem)) {
				return false;
			}
		}
		return true;
	}
	
	/**
	 * Tests for equality for Sim-Calculation of two Objects. List have to contain all elements of
	 * the other list. Order does not matter.
	 * 
	 * @return true if they are equal
	 */
	public boolean equalsSim(ListOfWhereElements it) {
		if (this == it) return true;
		if (it == null) return false;
		if (this.size() != it.size()) {
			return false;
		}
		for (WhereElement whereElem : this) {
			if (!it.containsSim(whereElem)) {
				return false;
			}
		}
		for (WhereElement whereElem : it) {
			if (!this.containsSim(whereElem)) {
				return false;
			}
		}
		return true;
	}
	
	/**
	 * Returns true if this ListOfWhereElements contains elem.
	 * Comparator is for Sim-Calculation.
	 * 
	 * @param elem
	 * @return true if elem is included
	 */
	public boolean containsSim(WhereElement elem) {
		if (elem == null) return false;
		for (WhereElement whereElem: this) {
			if (whereElem.equalsSim(elem)) {
				return true;
			}
		}
		return false;
	}

}
