package sqlindexwizard.querygen;

import java.util.ArrayList;

/**
 * Representation of a column (including possible values). 
 * 
 * @author Benjamin Daeumlich
 *
 */
public class Column {
	
	private String columnName = "";
	private ArrayList<String> values = new ArrayList<String>();
	int type = 0;
	
	/**
	 * Constructor sets columnName.
	 * 
	 * @param columnName
	 */
	public Column(String columnName) {
		this.columnName = columnName;
	}
	
	/**
	 * Adding value to the valueList.
	 * 
	 * @param val
	 */
	public void addValue(String val) {
		values.add(val);
	}
	
	/**
	 * Getting valueList.
	 * 
	 * @return valueList
	 */
	public ArrayList<String> getValues() {
		return values;
	}
	
	/**
	 * Getting columnName.
	 * 
	 * @return the columnName
	 */
	public String getColumnName() {
		return columnName;
	}

	/**
	 * String representation.
	 * 
	 * @return string representation
	 */
	public String toString() {
		String result = "";
		result += columnName + "\tValues: " + values;
		return result;
	}

}
