package sqlindexwizard.querygen;

import java.util.ArrayList;

/**
 * Representation of a table with its columns.
 * 
 * @author Benjamin Daeumlich
 *
 */
public class Table {

	private String tableName = "";
	private ArrayList<Column> columns = new ArrayList<Column>();
	
	/**
	 * Constructor sets tableName.
	 * 
	 * @param tableName
	 */
	public Table(String tableName) {
		this.tableName = tableName;
	}
	
	/**
	 * Adding column to columnList.
	 * 
	 * @param col column to add
	 */
	public void addColumn(Column col) {
		columns.add(col);
	}
	
	/**
	 * Getting columnList.
	 * 
	 * @return columnList
	 */
	public ArrayList<Column> getColumns() {
		return columns;
	}
	
	/**
	 * Getting tableName.
	 * 
	 * @return the tableName
	 */
	public String getTableName() {
		return tableName;
	}

	/**
	 * Setting tableName.
	 * 
	 * @param tableName the tableName to set
	 */
	public void setTableName(String tableName) {
		this.tableName = tableName;
	}

	/**
	 * Setting columns.
	 * 
	 * @param columns the columns to set
	 */
	public void setColumns(ArrayList<Column> columns) {
		this.columns = columns;
	}

	/**
	 * String representation of table.
	 * 
	 * @return string representation
	 */
	public String toString() {
		String result = "";
		result += "Tablename: " + tableName + "\n";
		for (int i = 0; i < columns.size(); i++) {
			result += "\t" + columns.get(i) + "\n";
		}
		return result;
	}
}
