package sqlindexwizard.workload;

import java.util.ArrayList;
import java.util.List;

import sqlindexwizard.filter.ItemWhereElement;

/**
 * Representation of an invalid query (not being parsed correctly by zql-parser).
 * 
 * @author Benjamin Daeumlich
 *
 */
public class InvalidQuery extends Query {

	private String queryString = "";
	
	/**
	 * Standard constructor.
	 * 
	 */
	public InvalidQuery() {
		super();
	}
	
	/**
	 * Constructor sets queryString.
	 * 
	 * @param queryString
	 * 
	 */
	public InvalidQuery(String queryString) {
		this.queryString = queryString;
	}

	/**
	 * Clones this InvalidQuery.
	 * 
	 * @return clone
	 */
	@Override
	public Query clone() {
		return new InvalidQuery(this.queryString);	}

	/**
	 * InvalidQuery has no items, return null.
	 * 
	 * return null
	 */
	@Override
	public List<ItemWhereElement> getItemList() {
		// TODO Auto-generated method stub
		return null;
	}
	
	/**
	 * Getting Tables of the invalid query. Returns null because there are
	 * no tables.
	 * 
	 * @return null
	 */
	@Override
	public ArrayList<String> getTables() {
		return null;
	}

	/**
	 * Returns the String representation of this invalid query.
	 * 
	 * @return queryString
	 */
	@Override
	public String toString() {
		return this.queryString;
	}

}
