package sqlindexwizard.workload;

import java.util.ArrayList;
import java.util.List;

import Zql.ZStatement;

import sqlindexwizard.filter.ItemWhereElement;

/**
 * Represents an OtherQuery ie Transaction statement.
 * 
 * @author Benjamin Daeumlich
 *
 */
public class OtherQuery extends Query {

	/**
	 * Constructor, nothing to do.
	 * 
	 * @param st
	 */
	public OtherQuery(ZStatement st) {
		super();
	}
	
	/**
	 * Constructor calls super constructor.
	 * 
	 */
	public OtherQuery() {
		super();
	}

	@Override
	/**
	 * OtherQuery has no items, return null.
	 * 
	 * return null
	 */
	public List<ItemWhereElement> getItemList() {
		return null;
	}
	
	/**
	 * Getting Tables of the other query. Returns null because there are
	 * not tables.
	 * 
	 * @return null
	 */
	@Override
	public ArrayList<String> getTables() {
		return null;
	}
	
	/**
	 * Clones this OtherQuery.
	 * 
	 * @return clone
	 */
	public OtherQuery clone() {
		OtherQuery clone = new OtherQuery();
		return clone;
	}
	
	/**
	 * String representation of other query.
	 * 
	 * @return String representation
	 */
	public String toString() {
		return "UNKNOWN QUERY;";
	}

}
